Bug 474102 - RFE: Add package for mylyn-mantis
RFE: Add package for mylyn-mantis
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Severin Gehwolf
Fedora Extras Quality Assurance
:
Depends On: 497126
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 03:28 EST by Stefan Neufeind
Modified: 2012-08-16 16:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2008-12-02 03:28:59 EST
http://wiki.eclipse.org/index.php/Mylyn_Extensions#Mantis
http://mylyn-mantis.sourceforge.net/eclipse/update/

Would be great to also have the mantis-extension for mylyn be available from the repo.
Comment 1 Andrew Overholt 2008-12-02 08:44:11 EST
Hi Stefan,

Would you like to package it?  I don't imagine it would be too hard.  The guidelines for packaging Eclipse plugins is here:

http://fedoraproject.org/wiki/Packaging/EclipsePlugins

I can help you if you like.  Also, you can put package requests like this here where they may get more exposure:

http://fedoraproject.org/wiki/PackageMaintainers/WishList

Andrew
Comment 2 Bug Zapper 2009-11-18 05:15:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stefan Neufeind 2009-11-23 16:44:25 EST
Request still valid for Fedora 12. I moved it on to F12.
Comment 4 Andrew Overholt 2009-11-23 17:10:30 EST
Offer to help you do it still valid :)
Comment 5 Fedora Admin XMLRPC Client 2010-09-01 09:55:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-11-04 07:38:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Stefan Neufeind 2010-11-07 10:33:39 EST
Still open for Fedora 14 - details updated.
Comment 8 Severin Gehwolf 2011-04-15 11:49:12 EDT
I assume this extension still works with mylyn 3.5.0? If so I might have a look at it, since I'm updating to Mylyn 3.5.0 anyway :)
Comment 9 Stefan Neufeind 2011-04-15 11:53:35 EDT
Just found a reference it needs at least 3.2 (might work with earlier, not tested) and is supposed to "always" work with the latest version. So yes, if you'll take the task it looks like it should still work with 3.5.0.

Would be great to have it bundled.
Comment 10 Severin Gehwolf 2011-06-07 13:43:55 EDT
According to Andrew R. this needs axis2 packaged in Fedora. Until this happens, this bug is blocked. See:
https://bugzilla.redhat.com/show_bug.cgi?id=497126

Andrew, if you have more thoughts on it let us know. Thanks!
Comment 11 Andrew Overholt 2011-06-07 14:57:28 EDT
Adding Alex to CC as he may know more about the axis situation.
Comment 12 Fedora End Of Life 2012-08-16 16:32:55 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.